Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037160
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-10-25 12:322018-01-03 12:38
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision853d7ec9da6e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037160: The BOM production transactions do not appear correctly in the traceability report

DescriptionThe BOM production transactions do not appear correctly in the traceability report. It is not possible to see the production 'tree' (consumed products, quantities...) as it is shown in a regular production
Steps To ReproduceAs group Admin role,
1. Go to Product window
     Create a new one defined as Bill Of Materials and with Attributes (Lot & Exp Date)
   Navigate to BOM tab and add a product
   Click on Verify BOM button
2. Go to Bill of materials production window
3.- Select the organization and the movement date: when the production is going to happen
4.- Go to Production Plan subtab
5.- Select the product that is going to be produced
6.- Indicate the Production quantity and the Storage bin that is going to store the final product
7.- Click on Create/Process Production button in order to explode the information based on the recipe
8.- Click on Create/Process Production button again in order to decrease the stock of the consumed products and increase the stock of the final product
9.- Go to Traceability report
10.- Select the product and select 'out going' for checking the production transaction
Check that you see only one line (Production P+) but you can not see the tree with the consumed products as it is shown in a regular production. (selection:104.png)

In order to check the report for a regular production follow the next steps:
0. Create Show MRP and Production fields preference.

1. Product window: create 2 Products for raw materials and final products.
                  a. Production checkbox selected.
    b. For Raw materials the Purchase flag should be checked. For final products the purchase checkbox not selected. Both should have attributes defined (Lot)
Manufacturing tab: add a new register for organization España Región Norte and select a Bin for the Final Product.

 2. Manufacturing Cost Center window:
Create new record,
select US in the organization field,
 type search key and name.

3. Activity window, to configure the Production Activities:
- Create new record, selecting US in the organization field.
- Select the cost center required,
- Type search key and name.

4. Process Plan window: create the process Plan by typing Process Plan in the quick launch menu and create new record:
Select US in Organization
type search key and name
Process unit and Conversion rate
4.a. Version tab: create a version for the Process Plan with starting and ending date
4.b. Operations tab: create the operations needed for the Process Plan.
Create one record defining the sequence of the Process Plan.
type search key and name.
Select the activity.
Check Create Standards
4.c. I/O Products tab: input-output of the products of the sequence.
Create a new record and select Product
Production Type (if product is consumed P- or produced P+ in the production process)
Quantity needed.

5. Product window: for the Final Products it is necessary to select the Process Plan created for the corresponding product.

6. Work Requirement window:
Create new record,
select España Región Norte in the organization field
Select quantity, creation date, starting date, ending date
Select the Process Plan that this work requirement refers to
Press Process Work Requirement button and the information from the Process Plan will be inserted

Create Work Effort

7.- Work Effort window:
select the Work Effort previously created, add the Lot for the Final Product and Validate the Work Effort.

Launch the Traceability report (either incoming or outgoing) and select the Final Product and the attribute.

It should be the same report for both productions.
TagsNo tags attached.
Attached Filespng file icon Selection_104.png [^] (84,507 bytes) 2017-10-25 12:32


png file icon Selection_105.png [^] (76,824 bytes) 2017-10-25 12:33

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100181)
AtulOpenbravo (developer)
2017-10-31 10:03

Test Plan 1

- Login as F&B International Group Admin role.
- For all the below steps consider organization as F&B España Región Norte.
- Go to Product window
- Create one more raw material product with attribute set (Lot & Expiry Date)
- Create another raw material product without attribute set.
- Create a new one finished goods product with Bill Of Materials = Yes and with Attributes (Lot & Exp Date)
- Navigate to BOM tab and add a both raw material products here.
- Click on Verify BOM button.
- Create a Goods Receipt for first raw material (with proper attribute set)
  and second raw material (without attribute set).
- Go to Bill of materials production window
- Set name: Test BOM and movement date: Today
- Go to Production Plan subtab
- Select the finished goods product that is going to be produced
- Indicate the Production quantity and the Storage bin that is going to store the finished goods product
- Click on Create/Process Production button in order to explode the information based on the recipe
- Click on Create/Process Production button again in order to decrease the stock of the consumed products and increase the stock of the final product
- Go to Traceability report
- Select the finished goods product and select 'out going' for checking the production transaction
- Check that line with finished goods product (BOM) as well as both consumed raw material products (BOM Tab) are shown in the report.

Test Plan 2

- Create Show MRP and Production fields preference.
- Create products as above test plan 1.
- In Product window: for raw material and finished goods product set Production checkbox selected.
- For Raw materials product set the Purchase flag as checked.
- For finished goods products set purchase checkbox as unchecked.
- In Manufacturing tab for finished goods product: add record for organization F&B España Región Norte and select a Bin.
- In Manufacturing Cost Center window, create new record,
  set organization: F&B España Región Norte, set search key = TCC and name = Test Cost Center.
- In Activity window, to configure the Production Activities:
  - Create new record with name Test Activity, selecting F&B España Región Norte in the organization field.
  - Select the cost center required
- In Process Plan window: create new record
  - Select F&B España Región Norte in Organization, set search key = TPP, set name as Test Process Plan
- Navigate to Version tab: create a version for the Process Plan with starting and ending date
- Navigate to Operations tab: create the operations needed for the Process Plan.
- Create one record defining the sequence of the Process Plan set search key and name,
  select the activity = "Test Activity"
- Navigate to I/O Products tab: input-output of the products of the sequence.
- Add record with type Product Production P+ for finished goods product.
- Add records with type Product Use P- for both the raw material product.
- In Product window: for the Finished Products it is necessary to select the Process Plan created for the corresponding product.
- In Work Requirement window:
  - Create new record,
  - select España Región Norte in the organization field
  - Select quantity, creation date, starting date, ending date
  - Select the Process Plan that this work requirement refers to
- Press Process Work Requirement button and the information from the Process Plan will be inserted
- Click on Create Work Effort, enter date as Todays Date.
- Navigate to Work Effort window, select the record created in previous step
  and in Production Run tab enter the completed quantity.
- In the Products tabs, add the attribute set instance for the Finished goods Product.
- Validate the Work Effort.
- Launch the Traceability report and select the Finished good Product and the attribute, set Outgoing
- Realize that along with Product Production P+, both Product Use P- raw material products lines are shown in the reports.

Report from test plan 1 and test plan 2 are same.
(0100286)
hgbot (developer)
2017-11-06 16:47

Repository: erp/devel/pi
Changeset: 853d7ec9da6ef623666dc32b3f559f0bcc6fbeba
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Oct 31 00:35:15 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/853d7ec9da6ef623666dc32b3f559f0bcc6fbeba [^]

Fixes Issue 37160:The BOM production transactions do not appear correctly
in the traceability report

M_Transaction records were skipped in methods called in
processExternalChilds as attributsetinstance = '0' in case
products does not attributeset defined. Hence remove check
m_attributesetinstance_id <> '0' from methods
selectProductionOut, selectProductionIn and selectMovement

---
M src/org/openbravo/erpCommon/ad_reports/MInOutTraceReports_data.xsql
---
(0100287)
hgbot (developer)
2017-11-06 16:47

Repository: erp/devel/pi
Changeset: 13e6dd634416b2970bac3baa47b38ebd2cc4ab8d
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Nov 06 16:36:24 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/13e6dd634416b2970bac3baa47b38ebd2cc4ab8d [^]

Related to Issue 37160.

This report was not meant to show information about products without
attributes. However, it should show the information about products
consumed in productions.

The fix was to remove the restrictions while filtering for products
without attributes.

But also, it does now explode the children of this products

---
M src/org/openbravo/erpCommon/ad_reports/MInOutTraceReports.java
---
(0100288)
dmiguelez (developer)
2017-11-06 16:48

Code Review + Testing Ok
(0101375)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101376)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-25 12:32 VictorVillar New Issue
2017-10-25 12:32 VictorVillar Assigned To => Triage Finance
2017-10-25 12:32 VictorVillar File Added: Selection_104.png
2017-10-25 12:32 VictorVillar Modules => Core
2017-10-25 12:32 VictorVillar Triggers an Emergency Pack => No
2017-10-25 12:33 VictorVillar File Added: Selection_105.png
2017-10-25 12:47 ngarcia Issue Monitored: ngarcia
2017-10-27 10:29 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2017-10-27 10:47 AtulOpenbravo Status new => scheduled
2017-10-31 10:03 AtulOpenbravo Note Added: 0100181
2017-11-06 16:47 hgbot Checkin
2017-11-06 16:47 hgbot Note Added: 0100286
2017-11-06 16:47 hgbot Status scheduled => resolved
2017-11-06 16:47 hgbot Resolution open => fixed
2017-11-06 16:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/853d7ec9da6ef623666dc32b3f559f0bcc6fbeba [^]
2017-11-06 16:47 hgbot Checkin
2017-11-06 16:47 hgbot Note Added: 0100287
2017-11-06 16:48 dmiguelez Review Assigned To => dmiguelez
2017-11-06 16:48 dmiguelez Note Added: 0100288
2017-11-06 16:48 dmiguelez Status resolved => closed
2017-11-06 16:48 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101375
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101376


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker